Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.parsers
Class RegexStepMatcher

    java.lang.Object
      org.jbehave.core.parsers.RegexStepMatcher

All Implemented Interfaces:
  StepMatcher

    public class RegexStepMatcher

extends Object
implements StepMatcher

Constructor Summary
`RegexStepMatcher(StepType stepType, String annotatedPattern, Pattern regexPattern, String[] parameterNames)`

Method Summary
`boolean` | `find(String stepWithoutStartingWord)`
`boolean` | `matches(String stepWithoutStartingWord)`
`String` | `parameter(int matchedPosition)`
`String[]` | `parameterNames()`
`StepPattern` | `pattern()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexStepMatcher

    public RegexStepMatcher(StepType stepType,
                            String annotatedPattern,
                            Pattern regexPattern,
                            String[] parameterNames)

Method Detail

### matches

    public boolean matches(String stepWithoutStartingWord)

  Specified by:
    `matches` in interface `StepMatcher`

### find

    public boolean find(String stepWithoutStartingWord)

  Specified by:
    `find` in interface `StepMatcher`

### parameter

    public String parameter(int matchedPosition)

  Specified by:
    `parameter` in interface `StepMatcher`

### parameterNames

    public String[] parameterNames()

  Specified by:
    `parameterNames` in interface `StepMatcher`

### pattern

    public StepPattern pattern()

  Specified by:
    `pattern` in interface `StepMatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.